Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 183461 - IllegalStateException: Too many org.netbeans.modules.ruby.rubyproject.RubyBaseProject$4 (3) in shared RequestProcessor; create your own
IllegalStateException: Too many org.netbeans.modules.ruby.rubyproject.RubyBas...
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: ehartmann
issues@ruby
EXCEPTIONS_REPORT
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-04 22:07 UTC by cforcey
Modified: 2010-04-07 04:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.24 KB, text/plain)
2010-04-04 22:07 UTC, cforcey
Details
Small patch (1.08 KB, patch)
2010-04-06 12:22 UTC, ehartmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cforcey 2010-04-04 22:07:28 UTC
Build: NetBeans IDE Dev (Build 201004040201)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.3-b01-101, Java(TM) SE Runtime Environment, 1.6.0_17-b04-248-10M3025
OS: Mac OS X

User Comments:
GUEST: Just opening up Netbeans.

GUEST: Starting up




Stacktrace: 
java.lang.IllegalStateException: Too many org.netbeans.modules.ruby.rubyproject.RubyBaseProject$4 (3) in shared RequestProcessor; create your own
   at org.openide.util.RequestProcessor.post(RequestProcessor.java:368)
   at org.netbeans.modules.ruby.rubyproject.RubyBaseProject.updateRakeTasks(RubyBaseProject.java:305)
   at org.netbeans.modules.ruby.rubyproject.RubyBaseProject.open(RubyBaseProject.java:298)
   at org.netbeans.modules.ruby.railsprojects.RailsProject.open(RailsProject.java:171)
   at org.netbeans.modules.ruby.rubyproject.RubyBaseProject$ProjectOpenedHookImpl.projectOpened(RubyBaseProject.java:406)
   at org.netbeans.spi.project.ui.ProjectOpenedHook$1.projectOpened(ProjectOpenedHook.java:81)
Comment 1 cforcey 2010-04-04 22:07:33 UTC
Created attachment 96659 [details]
stacktrace
Comment 2 ehartmann 2010-04-06 12:21:09 UTC
This happens to me when I have some Rails projects opened at startup.
Comment 3 ehartmann 2010-04-06 12:22:42 UTC
Created attachment 96763 [details]
Small patch
Comment 4 Erno Mononen 2010-04-06 13:25:24 UTC
Thanks Eric - applied the patch in 3e5281c18ec3.
Comment 5 Quality Engineering 2010-04-07 04:42:29 UTC
Integrated into 'main-golden', will be available in build *201004070201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/3e5281c18ec3
User: Erno Mononen <emononen@netbeans.org>
Log: #183461 - IllegalStateException: Too many org.netbeans.modules.ruby.rubyproject.RubyBaseProject$4 (3) in shared RequestProcessor; create your own
- patch by ehartmann


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo